tap.hpp File Reference

Forward declares `boost::hana::tap`. More...

## Namespaces

| boost::hana
| Namespace containing everything in the library.

## Variables

template<typename M >
constexpr auto | boost::hana::tap

Tap inside a monadic chain.Given a function `f`, `tap<M>` returns a new function which performs `f` on its argument and then returns the argument lifted in the `M` `Monad`. Combined with the property that `chain(m, lift<M>) == m`, this provides a way of executing an action inside a monadic chain without influencing its overall result. This is useful to e.g. insert debug statements or perform actions that are not tied to the chain but that need to be executed inside of it. More...

## Detailed Description

Forward declares `boost::hana::tap`.

Copyright
  Louis Dionne 2013-2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)